Open SCAP Library

Public Member Functions | Data Fields
rds_index Struct Reference
DS

Represents <asset-report-collection> element - the root element of each result datastream in Asset Reporting Format = ARF. More...

`#include <scap_ds.h>`

## Public Member Functions
struct rds_index * | rds_index_new (void)
void | rds_index_free (struct rds_index *s)
struct rds_report_request_index_iterator * | rds_index_get_report_requests (struct rds_index *s)
struct rds_asset_index_iterator * | rds_index_get_assets (struct rds_index *s)
struct rds_report_index_iterator * | rds_index_get_reports (struct rds_index *s)
struct rds_report_request_index * | rds_index_get_report_request (struct rds_index *rds, const char *id)
struct rds_asset_index * | rds_index_get_asset (struct rds_index *rds, const char *id)
struct rds_report_index * | rds_index_get_report (struct rds_index *rds, const char *id)
struct rds_index * | rds_index_import (const char *file)
int | rds_index_select_report (struct rds_index *s, const char **report_id)

## Data Fields
struct oscap_list * | report_requests
struct oscap_list * | assets
struct oscap_list * | reports

## Detailed Description

Represents <asset-report-collection> element - the root element of each result datastream in Asset Reporting Format = ARF.

Indexes assets and report-requests.

The documentation for this struct was generated from the following files:

- rds_index.c
- scap_ds.h